Skip to content

Retrieves the balance state of a metered asset balance.

GET
/api/v1/provision/admin/asset-balances/{balanceId}
curl --request GET \
--url https://example.com/api/v1/provision/admin/asset-balances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0
balanceId
required
string format: uuid

Balance id.

OK

object
id
string format: uuid
name
string
description
string
creditsUsed

Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
totalCredits

Total available credits.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
cumulativeCreditsUsed

The total of all credits used over time.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
unit
string
numberFormat
string
lastDeposit
string format: date-time
usageQuota
Array<object>
object
endUsage
number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
name
string
quotaUsageLevel
integer
suspendedUntilAt
null | string format: date-time
overageSeverityStatus
integer
initialCreditAmount

The credits available when the entitlement is created.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
isUnlimitedCredits

Indicates if the resource has unlimited credits.

boolean
autoBalanceCronSchedule

Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:

  • Minute (0-59)
  • Hour (0-23)
  • Day of the Month (1-31)
  • Month (1-12 or Jan-Dec)
  • Day of the Week (0-6 or Sun-Sat) Special characters:
    • (asterisk): Represents any value for the field.
  • , (comma): Separates multiple values.
    • (hyphen): Specifies a range of values.
  • / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
null | string
lastAutoBalanceDate

Date and time of the last automatic credit balance.

string format: date-time
shouldAutoBalanceTransferCurrentCredits

Indicates if the current credits should be transferred.

boolean
maxAutoBalanceCreditTransferAmount

Maximum amount of credits that can be transferred automatically.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
autoBalanceCreditAmount

Amount of credits to balance automatically.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string